﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YT_WPF_UC_DP_Beispiel3
{
    /// <summary>
    /// Interaktionslogik für ControlEinkauf.xaml
    /// </summary>
    public delegate void EventHandlerOnDelete(Einkauf item);

    public partial class ControlEinkauf : UserControl
    {
        public event EventHandlerOnDelete OnDelete;

        public readonly static DependencyProperty ObjProperty = DependencyProperty.Register("Obj", typeof(Einkauf), typeof(ControlEinkauf));
        public Einkauf Obj
        {
            get
            {
                return (Einkauf)GetValue(ObjProperty);
            }
            set
            {
                SetValue(ObjProperty, value);
            }
        }
        public ControlEinkauf()
        {
            InitializeComponent();
        }

        private void btnPlus_Click(object sender, RoutedEventArgs e)
        {
            Obj.Anzahl++;
        }

        private void btnMinus_Click(object sender, RoutedEventArgs e)
        {
            Obj.Anzahl--;
            if(Obj.Anzahl == 0)
            {
                //???
                OnDelete?.Invoke(Obj);
            }
        }
    }
}
