﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YT_WPF_UC_DP_Beispiel3
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Einkauf> liste = new ObservableCollection<Einkauf>
        {
            new Einkauf{Bezeichnung="Brot", Anzahl=2},
            new Einkauf{Bezeichnung="Butter", Anzahl=3}
        };
        public MainWindow()
        {
            InitializeComponent();
            Anzeige.DataContext = liste;
        }

        private void ControlEinkauf_OnDelete(Einkauf item)
        {
            liste.Remove(item);
        }
    }
}
